#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QWidget>
#include "qcolorfiltermodel.h"

namespace Ui {
class MainWidget;
}

class MainWidget : public QWidget
{
  Q_OBJECT

public:
  explicit MainWidget(QWidget *parent = 0);
  ~MainWidget();
private:
  //Прокси модель с фильтрацией
  QColorFilterModel* proxyModel;
public slots:
  //Слот реакции на переключение радиокнопок
  void onRbBtnToggled(bool checked);
private:
  Ui::MainWidget *ui;
};

#endif // MAINWIDGET_H
