#ifndef QCOLORLISTMODEL_H
#define QCOLORLISTMODEL_H

#include <QAbstractListModel>
#include <QList>
#include <QColor>
#include <QSize>

//Пользовательская модель для отображения списка цветов
class QColorListModel : public QAbstractListModel
{
  Q_OBJECT
public:
  explicit QColorListModel(QObject *parent = 0);
  //добавление цвета в модель
  void addItem(QColor value);
signals:

private:
  //объект данных для хранения списка цветов
  QList<QColor> items;
public:
  virtual int rowCount(const QModelIndex &parent) const;
  virtual QVariant data(const QModelIndex &index, int role) const;
};

#endif // QCOLORLISTMODEL_H
